package org.owasp.stinger.http;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpServletResponseWrapper;
import java.io.ByteArrayOutputStream;
import java.io.PrintWriter;
import java.io.IOException;

public class MutableHttpResponse extends HttpServletResponseWrapper
{	
	private ByteArrayOutputStream output;
	
	private FilterServletOutputStream stream = null;
	
	private PrintWriter writer = null;

	private int contentLength;

	private String contentType;

	public MutableHttpResponse(HttpServletResponse response)
	{
		super(response);
		output = new ByteArrayOutputStream();
		stream = new FilterServletOutputStream(output);
		writer = new PrintWriter(stream);
	}

	public ServletOutputStream getOutputStream()
	{
		return stream;
	}

	public byte[] getData() throws IOException
	{
		stream.flush();
		writer.flush();
		
		return output.toByteArray();
	}

	public PrintWriter getWriter()
	{
		return writer;
	}

	public void setContentType(String type)
	{
		this.contentType = type;
		super.setContentType(type);
	}

	public String getContentType()
	{
		return this.contentType;
	}
	
	public int getContentLength()
	{
		return contentLength;
	}

	public void setContentLength(int length)
	{
		this.contentLength = length;
		super.setContentLength(length);
	}

}